PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_dormlq | ( | PLASMA_enum | side,
|  | PLASMA_enum | trans,
|  | int | M,
|  | int | N,
|  | int | K,
|  | double * | A,
|  | int | LDA,
|  | PLASMA_desc * | descT,
|  | double * | C,
|  | int | LDC
| ) |  |

PLASMA_dormlq - Overwrites the general complex M-by-N matrix C with

                SIDE = 'L'     SIDE = 'R'

TRANS = 'N': Q * C C * Q TRANS = 'C': Q**T * C C * Q**T

where Q is a complex unitary matrix defined as the product of k elementary reflectors

      Q = H(1) H(2) . . . H(k)

as returned by PLASMA_dgeqrf. Q is of order M if SIDE = PlasmaLeft and of order N if SIDE = PlasmaRight.

Parameters

  [in] | side | Intended usage: = PlasmaLeft: apply Q or Q**T from the left; = PlasmaRight: apply Q or Q**T from the right.
  [in] | trans | Intended usage: = PlasmaNoTrans: no transpose, apply Q; = PlasmaTrans: ugate transpose, apply Q**T.
  [in] | M | The number of rows of the matrix C. M >= 0.
  [in] | N | The number of columns of the matrix C. N >= 0.
  [in] | K | The number of rows of elementary tile reflectors whose product defines the matrix Q. If side == PlasmaLeft, M >= K >= 0. If side == PlasmaRight, N >= K >= 0.
  [in] | A | Details of the LQ factorization of the original matrix A as returned by PLASMA_dgelqf.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,K).
  [in] | descT | Auxiliary factorization data, computed by PLASMA_dgelqf.
  [in,out] | C | On entry, the M-by-N matrix C. On exit, C is overwritten by Q*C or Q**T*C.
  [in] | LDC | The leading dimension of the array C. LDC >= max(1,M).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_dormlq_Tile
  PLASMA_dormlq_Tile_Async
  PLASMA_cunmlq
  PLASMA_dormlq
  PLASMA_sormlq
  PLASMA_dgelqf